apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: ingressgateway
  namespace: istio-system
spec:
  targetNamespace: ingress-nginx
  postRenderers:
    - kustomize:
        patches:
          - target:
              version: v1
              kind: Deployment
              name: istio-ingressgateway
              namespace: ingress-nginx
            patch: |-
              apiVersion: apps/v1
              kind: Deployment
              metadata:
                name: istio-ingressgateway
                namespace: ingress-nginx
              spec:
                template:
                  spec:
                    affinity: null
  dependsOn:
    - name: istio-base
      namespace: istio-system
    - name: istiod
      namespace: istio-system
  values:
    _internal_defaults_do_not_set:
      name: istio-ingressgateway
      labels:
        app: istio-ingressgateway
        istio: ingressgateway
      replicaCount: 2
      affinity: null
      tolerations: []
      hostPorts: []
      podAnnotations:
        prometheus.io/port: "15020"
        prometheus.io/scrape: "true"
        prometheus.io/path: /stats/prometheus
        inject.istio.io/templates: gateway
        sidecar.istio.io/inject: "true"
      service:
        type: ClusterIP
        externalTrafficPolicy: ""
        ports:
          - name: status-port
            port: 15021
            protocol: TCP
            targetPort: 15021
          - name: http
            port: 80
            protocol: TCP
            targetPort: 80
          - name: https
            port: 443
            protocol: TCP
            targetPort: 443
